-- instructions:
--  defult values:
--		glow intensity = 1.1
--		glow blur = 0.034
--		glow bloom = 0.35
--		volume light intensity = 0.35
--		color filter = 1 1 1
--		fog color = 0.025 0.1 0.15
--		fog density = 500 (bigger values, less density)
--	funcitons
--		scene CreateScene()
--		SceneLoadScene(scene, scene name, camera name (case sensitive))
--		SceneSetTime(scene, total time, start animation, end animation)	start and end animations ins seconds
--		SceneSetFades(scene, fade in, fade out)
--		SceneSetVolumeLightIntensity(scene, key time, intensity)
--		SceneSetLightFilter(scene, key time, r, g, b)
--		SceneSetGlow(scene, key time, intensity, blur, bloom);
--		SceneSetFog(scene, key time, r, g, b, density)
--		SetMusic(music name)

SetMusic("Ronald van Deurzen _-_ Sollusearch FINAL.mp3");


scene1 = CreateScene();
SceneLoadScene(scene1, "001.vie3d", "Camera01");
SceneSetTime(scene1, 10, 0, 10);
SceneSetFades(scene1, 1, 0);
SceneSetGlow(scene1, 0, 0.5, 0.0, 0);
SceneSetGlow(scene1, 7, 0.5, 0.0, 0);
SceneSetGlow(scene1, 8, 2, 0.05, 0.9);

--SceneSetVolumeLightIntensity(scene1, 0, 0);
--SceneSetVolumeLightIntensity(scene1, 2, 0);
--SceneSetVolumeLightIntensity(scene1, 3.3, 2);
--SceneSetLightFilter(scene1, 0, 0.4, 0.6, 0.9);
--SceneSetLightFilter(scene1, 3.3, 0.9, 0.5, 0.2);

scene2 = CreateScene();
SceneLoadScene(scene2, "hexa_sphere.VIE3D", "Camera01");
SceneSetTime(scene2, 14, 0, 14);
SceneSetGlow(scene2, 0, 2, 0.05, 0.9);
SceneSetGlow(scene2, 1, 0.6, 0.03, 0.5);

SceneSetGlow(scene2, 2, 1, 0.03, 0.5);
SceneSetGlow(scene2, 3, 0.6, 0.03, 0.5);

SceneSetGlow(scene2, 4, 1, 0.03, 0.5);
SceneSetGlow(scene2, 5, 0.6, 0.03, 0.5);

SceneSetGlow(scene2, 6, 1, 0.03, 0.5);
SceneSetGlow(scene2, 7, 0.6, 0.03, 0.5);

SceneSetGlow(scene2, 8, 1, 0.03, 0.5);
SceneSetGlow(scene2, 9, 0.6, 0.03, 0.5);

SceneSetGlow(scene2, 10, 1, 0.03, 0.5);
SceneSetGlow(scene2, 11, 0.6, 0.03, 0.5);

SceneSetGlow(scene2, 12, 1, 0.03, 0.5);
SceneSetGlow(scene2, 13, 0.6, 0.03, 0.5);

SceneSetGlow(scene2, 14, 2, 0.03, 0.5);

SceneSetFades(scene2, 0, 0);
----
--
scene3 = CreateScene();

SceneLoadScene(scene3, "pomar.vie3d", "Camera01");
SceneSetFades(scene3, 0, 0);
SceneSetTime(scene3, 20.0, 0, 20.0);
SceneSetFog(scene3, 0, 0.0, 0.0, 0.0, 0);
SceneSetFog(scene3, 4, 0.5, 0.5, 0.5, 5000);
SceneSetVolumeLightIntensity(scene3, 0, 0);
SceneSetVolumeLightIntensity(scene3, 4, 2);
SceneSetLightFilter(scene3, 2, 1, 1, 1);
SceneSetGlow(scene3, 0, 0, 0, 0);
SceneSetGlow(scene3, 6, 0.75, 0.90, 0.65);

scene4 = CreateScene();
SceneLoadScene(scene4, "pomar.vie3d", "Camera02");
SceneSetFades(scene4, 0, 0);
SceneSetGlow(scene4, 12, 1, 0.03, 0.5);
SceneSetTime(scene4, 20.0, 0, 20.0);
SceneSetFog(scene4, 0, 0.0, 0.0, 0.0, 0);
SceneSetFog(scene4, 4, 0.5, 0.5, 0.5, 5000);
SceneSetVolumeLightIntensity(scene4, 0, 0);
SceneSetVolumeLightIntensity(scene4, 4, 2);
SceneSetLightFilter(scene4, 2, 1, 1, 1);
SceneSetGlow(scene4, 0, 0, 0, 0);
SceneSetGlow(scene4, 6, 0.75, 0.90, 0.65);

scene5 = CreateScene();
SceneLoadScene(scene5, "pomar.vie3d", "Camera03");
SceneSetFades(scene5, 0, 0);
SceneSetGlow(scene5, 12, 1, 0.03, 0.5);
SceneSetTime(scene5, 20.0, 0, 20.0);
SceneSetFog(scene5, 0, 0.0, 0.0, 0.0, 0);
SceneSetFog(scene5, 4, 0.5, 0.5, 0.5, 5000);
SceneSetVolumeLightIntensity(scene5, 0, 0);
SceneSetVolumeLightIntensity(scene5, 4, 2);
SceneSetLightFilter(scene5, 2, 1, 1, 1);
SceneSetGlow(scene5, 0, 0, 0, 0);
SceneSetGlow(scene5, 6, 0.75, 0.90, 0.65);

scene6 = CreateScene();
SceneLoadScene(scene6, "garden.vie3d", "Camera01");
SceneSetTime(scene6, 30.0, 0, 30.0);
SceneSetGlow(scene6, 0, 2, 0.03, 0.5);
SceneSetGlow(scene6, 3, 0.75, 0.90, 0.65);

scene7 = CreateScene();
SceneLoadScene(scene7, "garden02.vie3d", "Camera01");
SceneSetTime(scene7, 30.0, 0, 30.0);
SceneSetFog(scene7, 0, 0.0, 0.0, 0.0, 0);
SceneSetGlow(scene7, 0, 1.1, 0.05, 0.5);
SceneSetGlow(scene7, 3, 1.1, 0.034, 0.4);
SceneSetGlow(scene7, 5, 1.1, 0.012, 0.6);
SceneSetVolumeLightIntensity(scene7, 4, 2);
SceneSetLightFilter(scene7, 5, 1, 1, 1);

scene8 = CreateScene();
SceneLoadScene(scene8, "garden02.vie3d", "Camera02");
SceneSetTime(scene8, 30, 0, 30);


scene9 = CreateScene();
SceneLoadScene(scene9, "greets.vie3d", "Camera01");
SceneSetTime(scene9, 30, 0 , 30);
SceneSetGlow(scene9, 0, 0.85, 0.001, 0.0001);
SceneSetFog(scene9, 0, 0, 0 , 0, 9999999);
-- instructions:
--  defult values:
--		glow intensity = 1.1
--		glow blur = 0.034
--		glow bloom = 0.35
--		volume light intensity = 0.35
--		color filter = 1 1 1
--		fog color = 0.025 0.1 0.15
--		fog density = 500 (bigger values, less density)
--	funcitons
--		scene CreateScene()
--		SceneLoadScene(scene, scene name, camera name (case sensitive))
--		SceneSetTime(scene, total time, start animation, end animation)	start and end animations ins seconds
--		SceneSetFades(scene, fade in, fade out)
--		SceneSetVolumeLightIntensity(scene, key time, intensity)
--		SceneSetLightFilter(scene, key time, r, g, b)
--		SceneSetGlow(scene, key time, intensity, blur, bloom);
--		SceneSetFog(scene, key time, r, g, b, density)
--		SetMusic(music name)

